/*
 * $Id: update.h 243 2010-03-17 08:36:42Z gingko $
 * Copyright (C) 2007 lolo_32 <pouchintv-dev@baysse.fr>
 *
 * This file is part of Pouchin TV Mod, a free DVB-T viewer.
 * See http://www.pouchintv.fr/ for updates.
 *
 * Pouchin TV Mod is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pouchin TV Mod is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 *
 *
 * Most files of this project have been changed from the Pouchin TV
 * project (Copyright (C) 2006 Pouchin <pouchinteve@free.fr>),
 * to use with a modified version of this software.
 * See http://pouchinteve.free.fr/ for the original project.
 */

/** \file
 *	\brief Traitement des mises  jour par Internet (dfinitions)
 *
 *	Ce fichier contient l'appel de fonction ncessaire au
 *	traitement des mises  jour par Internet.
 **/

#pragma once

/**
 * Traitement de la mise  jour par Internet
 *
 * \param[in]  hOwner  handle de la fentre parente
 * \todo Dsactiver la mise  jour lorsque l'utilisateur n'utilise pas un compte
 * administrateur, ou bien produire un avertissement genre "Vous devez tre
 * administrateur de l'ordinateur pour pouvoir utiliser cette fonction".
 **/
void do_web_update(HWND hOwner);
